/* Sistemas Integrados TECNISA
   Planejamento Alimentao Industrial

   GRAVA_LOGINTCARD

   Procedure para controlar a gravao na tabela de log de
   integrao de cardpio.

   Chave primria controlada pela novo cdigo.

   Usada internamente na STP EXPORTA_CARDAPIO.

   Criao: Dmaso (16/03/05)

*/

IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
                    WHERE
	        O.NAME = 'GRAVA_LOGINTCARD' AND
	        TYPE = 'P' 			         AND
	        U.UID = O.UID             	AND
	        U.NAME = USER)
DROP PROCEDURE GRAVA_LOGINTCARD;
GO

CREATE PROCEDURE GRAVA_LOGINTCARD
  @P_NRLOGINTCARD VARCHAR(10),
  @P_CDFILORIGLOG VARCHAR(4),
  @P_CDFILDESTLOG VARCHAR(4),
  @P_CDSERDESTLOG VARCHAR(5),
  @P_DTCARDESTLOG DATETIME,
  @P_CDPRATLOG    VARCHAR(10),
  @P_CDFAPRAORIGL VARCHAR(4),
  @P_CDFAPRADESTL VARCHAR(4),
  @P_IDNUMERRO    VARCHAR(1)
AS
  DECLARE @V_EXISTE NUMERIC;
BEGIN
   SET @V_EXISTE = 0;

   SELECT @V_EXISTE = COUNT(*)
   FROM LOGINTCARD
   WHERE
      NRLOGINTCARD = @P_NRLOGINTCARD AND
      CDFILDESTLOG = @P_CDFILDESTLOG AND
      CDSERDESTLOG = @P_CDSERDESTLOG AND
      DTCARDESTLOG = @P_DTCARDESTLOG AND
      CDPRATLOG    = @P_CDPRATLOG;
   IF @V_EXISTE = 0 BEGIN
      INSERT INTO LOGINTCARD
      (NRLOGINTCARD,
       CDFILDESTLOG,
       CDSERDESTLOG,
       DTCARDESTLOG,
       CDPRATLOG,
       CDFAPRAORIGL,
       CDFAPRADESTL,
       CDFILORIGLOG,
       IDNUMERRO)
      VALUES
      (@P_NRLOGINTCARD,
       @P_CDFILDESTLOG,
       @P_CDSERDESTLOG,
       @P_DTCARDESTLOG,
       @P_CDPRATLOG,
       @P_CDFAPRAORIGL,
       @P_CDFAPRADESTL,
       @P_CDFILORIGLOG,
       @P_IDNUMERRO);
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'GRAVA_LOGINTCARD','4.09.067';
GO

